#include "xfxspawndeflooping.h"

XFxSpawnDefLooping::XFxSpawnDefLooping()
    : XAsset()
    , mIntervalMsec(0)
    , mCount(0)
{
    SetName("Spawn Definition Looping");
}

XFxSpawnDefLooping::~XFxSpawnDefLooping()
{
    
}

void XFxSpawnDefLooping::Clear()
{
    mIntervalMsec = 0;
    mCount = 0;
}

void XFxSpawnDefLooping::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XFxSpawnDefLooping::ParseData
}
